Subject: Re: pdb on xemacs on Windows
From: [email-masked] (David Bush)

6 Jun 1998 03:56:11 -0700
Message-ID: <199806052059.QAA23346.cygnus.gnu-win32@monty>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Charles G Waldman)
Cc: [email-masked], [email-masked], [email-masked]

> 
> Wolfgang Weitz writes:
>  > [email-masked] wrote:
>  > > (running xemacs-21.0-b42 on Win98)
>  > > I can start "pdb" and it basically works - I can step through
>  > > programs, etc.  However, (windows only) the source buffer is never
>  > > displayed; even if I manually load the source file, pdb doesn't seem
>  > > to notice this buffer (that is, it doesn't highlight the current
>  > > line).
>  > 
>  > Just an idea: Have you already tried whether the
>  > source-buffer-update-thing works for any other debugging mode (e.g. ``C'') 
>  > under Win95?
>  > 
> 
> I've been trying to follow up on this suggestion, however the
> "gdb.exe" that comes with the Cygnus Developer's Kit is bundled with a
> Tk GUI and is unsuitable for use in XEmacs.  I tried building gdb from
> the FSF sources, however "configure" fails - it says:
> 
>  configure: error: no acceptable ld found in $PATH
>  Configure in /cgw/Gnu/gdb-4.17/opcodes failed, exiting.
> 
> Does anybody out there have a non-GUI version of gdb.exe which can be
> used in XEmacs GDB mode?
> 
the cygwin gdb should work.  It has a "--nw" mode that makes it look
like the debugger we all know and love.  I had  a dbug session up
earlier today inside Xemacs, but I can't vouch for the fancier
interactions.

david

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".